=== modified file 'Makefile'
--- Makefile	2009-01-10 00:53:09 +0000
+++ Makefile	2009-01-06 05:10:34 +0000
@@ -9,9 +9,8 @@
 #DEBUG=-ggdb3
 # For info about _FORTIFY_SOURCE, see
 # <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>
-FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC -fPIE
-LINK_FORTIFY_LD=-z relro -fPIE
-LINK_FORTIFY=-pie
+FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIE -pie
+LINK_FORTIFY=-z relro -pie
 #COVERAGE=--coverage
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
@@ -46,7 +45,7 @@
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=$(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
+LDFLAGS=$(COVERAGE) $(foreach flag,$(LINK_FORTIFY),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=cd $(dir $<); xsltproc --nonet --xinclude \
@@ -77,7 +76,7 @@
 PLUGINS=plugins.d/password-prompt plugins.d/mandos-client \
 	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo
 CPROGS=plugin-runner $(PLUGINS)
-PROGS=mandos mandos-keygen mandos-list $(CPROGS)
+PROGS=mandos mandos-keygen $(CPROGS)
 DOCS=mandos.8 plugin-runner.8mandos mandos-keygen.8 \
 	plugins.d/mandos-client.8mandos \
 	plugins.d/password-prompt.8mandos mandos.conf.5 \
@@ -164,11 +163,6 @@
 		--expression='s/^\(VERSION="\)[^"]*"$$/\1$(version)"/' \
 		$@
 
-mandos-list: Makefile
-	$(SED) --in-place \
-		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
-		$@
-
 mandos.lsm: Makefile
 	$(SED) --in-place \
 		--expression='s/^\(Version:\).*/\1\t$(version)/' \
@@ -176,9 +170,6 @@
 	$(SED) --in-place \
 		--expression='s/^\(Entered-date:\).*/\1\t$(shell date --rfc-3339=date --reference=Makefile)/' \
 		$@
-	$(SED) --in-place \
-		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
-		$@
 
 plugins.d/mandos-client: plugins.d/mandos-client.o
 	$(LINK.o) $(GNUTLS_LIBS) $(AVAHI_LIBS) $(GPGME_LIBS) \

=== modified file 'clients.conf'
--- clients.conf	2009-01-08 03:54:06 +0000
+++ clients.conf	2008-09-21 13:42:34 +0000
@@ -14,7 +14,7 @@
 ;interval = 5m
 
 # What command to run as "the checker".
-;checker = fping -q -- %%(host)s
+;checker = fping -q -- %(host)s
 
 
 ;####

=== modified file 'mandos'
--- mandos	2009-01-08 03:54:06 +0000
+++ mandos	2009-01-06 05:10:34 +0000
@@ -35,7 +35,7 @@
 
 import SocketServer
 import socket
-from optparse import OptionParser
+import optparse
 import datetime
 import errno
 import gnutls.crypto
@@ -889,7 +889,7 @@
 
 
 def main():
-    parser = OptionParser(version = "%%prog %s" % version)
+    parser = optparse.OptionParser(version = "%%prog %s" % version)
     parser.add_option("-i", "--interface", type="string",
                       metavar="IF", help="Bind to interface IF")
     parser.add_option("-a", "--address", type="string",
@@ -911,8 +911,7 @@
                       " files")
     parser.add_option("--no-dbus", action="store_false",
                       dest="use_dbus",
-                      help="Do not provide D-Bus system bus"
-                      " interface")
+                      help=optparse.SUPPRESS_HELP)
     options = parser.parse_args()[0]
     
     if options.check:
@@ -958,6 +957,7 @@
     # For convenience
     debug = server_settings["debug"]
     use_dbus = server_settings["use_dbus"]
+    use_dbus = False
     
     if not debug:
         syslogger.setLevel(logging.WARNING)
@@ -972,7 +972,7 @@
     # Parse config file with clients
     client_defaults = { "timeout": "1h",
                         "interval": "5m",
-                        "checker": "fping -q -- %%(host)s",
+                        "checker": "fping -q -- %(host)s",
                         "host": "",
                         }
     client_config = ConfigParser.SafeConfigParser(client_defaults)
@@ -993,17 +993,23 @@
     
     try:
         uid = pwd.getpwnam("_mandos").pw_uid
+    except KeyError:
+        try:
+            uid = pwd.getpwnam("mandos").pw_uid
+        except KeyError:
+            try:
+                uid = pwd.getpwnam("nobody").pw_uid
+            except KeyError:
+                uid = 65534
+    try:
         gid = pwd.getpwnam("_mandos").pw_gid
     except KeyError:
         try:
-            uid = pwd.getpwnam("mandos").pw_uid
             gid = pwd.getpwnam("mandos").pw_gid
         except KeyError:
             try:
-                uid = pwd.getpwnam("nobody").pw_uid
                 gid = pwd.getpwnam("nogroup").pw_gid
             except KeyError:
-                uid = 65534
                 gid = 65534
     try:
         os.setuid(uid)

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2009-01-08 03:54:06 +0000
+++ mandos-clients.conf.xml	2009-01-04 21:54:55 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2009-01-08">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -170,7 +170,7 @@
 	    <varname>PATH</varname> will be searched.  The default
 	    value for the checker command is <quote><literal
 	    ><command>fping</command> <option>-q</option> <option
-	    >--</option> %%(host)s</literal></quote>.
+	    >--</option> %(host)s</literal></quote>.
 	  </para>
 	  <para>
 	    In addition to normal start time expansion, this option
@@ -351,7 +351,7 @@
 [DEFAULT]
 timeout = 1h
 interval = 5m
-checker = fping -q -- %%(host)s
+checker = fping -q -- %(host)s
 
 # Client "foo"
 [foo]

=== removed file 'mandos-list'
--- mandos-list	2008-12-21 19:19:25 +0000
+++ mandos-list	1970-01-01 00:00:00 +0000
@@ -1,65 +0,0 @@
-#!/usr/bin/python
-# -*- mode: python; coding: utf-8 -*-
-
-import dbus
-from optparse import OptionParser
-import locale
-
-locale.setlocale(locale.LC_ALL, u'')
-
-tablewords = {
-    'name': u'Name',
-    'enabled': u'Enabled',
-    'timeout': u'Timeout',
-    'last_checked_ok': u'Last Successful Check',
-    'created': u'Created',
-    'interval': u'Interval',
-    'host': u'Host',
-    'fingerprint': u'Fingerprint',
-    'checker_running': u'Check Is Running',
-    'last_enabled': u'Last Enabled',
-    'checker': u'Checker',
-    }
-busname = 'org.mandos-system.Mandos'
-object_path = '/Mandos'
-interface = 'org.mandos_system.Mandos'
-version = "1.0.2"
-defaultkeywords = ('name', 'enabled', 'timeout', 'last_checked_ok',
-                   'checker')
-
-parser = OptionParser(version = "%%prog %s" % version)
-parser.add_option("-a", "--all", action="store_true", default=False,
-                  help="Print all fields")
-options = parser.parse_args()[0]
-if options.all:
-    keywords = ('name', 'enabled', 'timeout', 'last_checked_ok',
-                'created', 'interval', 'host', 'fingerprint',
-                'checker_running', 'last_enabled', 'checker')
-else:
-    keywords = defaultkeywords
-
-
-bus = dbus.SystemBus()
-mandos_dbus_objc = bus.get_object(busname, object_path)
-mandos_serv = dbus.Interface(mandos_dbus_objc,
-                             dbus_interface = interface)
-mandos_clients = mandos_serv.GetAllClientsWithProperties()
-
-def valuetostring(x):
-    if type(x) is dbus.Boolean:
-        return u"Yes" if x else u"No"
-    else:
-        return unicode(x)
-
-format_string = u' '.join(u'%%-%ds'
-                         % max(len(tablewords[key]),
-                               max(len(valuetostring(client[key]))
-                                   for client
-                                   in mandos_clients.itervalues()))
-                         for key in keywords)
-print format_string % tuple(tablewords[key] for key in keywords) 
-for client in mandos_clients.itervalues():
-    print format_string % tuple(valuetostring(client[key])
-                                for key in keywords)
-
-

=== modified file 'mandos.xml'
--- mandos.xml	2009-01-04 21:54:55 +0000
+++ mandos.xml	2009-01-05 23:26:06 +0000
@@ -85,8 +85,6 @@
       <replaceable>DIRECTORY</replaceable></option></arg>
       <sbr/>
       <arg><option>--debug</option></arg>
-      <sbr/>
-      <arg><option>--no-dbus</option></arg>
     </cmdsynopsis>
     <cmdsynopsis>
       <command>&COMMANDNAME;</command>
@@ -231,16 +229,6 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
-      <varlistentry>
-	<term><option>--no-dbus</option></term>
-	<listitem>
-	  <xi:include href="mandos-options.xml" xpointer="dbus"/>
-	  <para>
-	    See also <xref linkend="dbus_interface"/>.
-	  </para>
-	</listitem>
-      </varlistentry>
     </variablelist>
   </refsect1>
   
@@ -336,16 +324,6 @@
     </para>
   </refsect1>
   
-  <refsect1 id="dbus_interface">
-    <title>D-BUS INTERFACE</title>
-    <para>
-      The server will by default provide a D-Bus system bus interface.
-      This interface will only be accessible by the root user or a
-      Mandos-specific user, if such a user exists.
-      <!-- XXX -->
-    </para>
-  </refsect1>
-
   <refsect1 id="exit_status">
     <title>EXIT STATUS</title>
     <para>

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2009-01-06 22:49:50 +0000
+++ plugin-runner.c	2009-01-04 21:54:55 +0000
@@ -309,7 +309,6 @@
   struct stat st;
   fd_set rfds_all;
   int ret, maxfd = 0;
-  ssize_t sret;
   uid_t uid = 65534;
   gid_t gid = 65534;
   bool debug = false;
@@ -547,6 +546,7 @@
     char *org_line = NULL;
     char *p, *arg, *new_arg, *line;
     size_t size = 0;
+    ssize_t sret;
     const char whitespace_delims[] = " \r\t\f\v\n";
     const char comment_delim[] = "#";
 
@@ -1019,18 +1019,18 @@
 	proc->buffer_size += BUFFER_SIZE;
       }
       /* Read from the process */
-      sret = read(proc->fd, proc->buffer + proc->buffer_length,
-		  BUFFER_SIZE);
-      if(sret < 0){
+      ret = read(proc->fd, proc->buffer + proc->buffer_length,
+		 BUFFER_SIZE);
+      if(ret < 0){
 	/* Read error from this process; ignore the error */
 	proc = proc->next;
 	continue;
       }
-      if(sret == 0){
+      if(ret == 0){
 	/* got EOF */
 	proc->eof = true;
       } else {
-	proc->buffer_length += (size_t) sret;
+	proc->buffer_length += (size_t) ret;
       }
     }
   }

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2009-01-10 02:21:13 +0000
+++ plugins.d/askpass-fifo.c	2009-01-04 21:54:55 +0000
@@ -43,14 +43,14 @@
   
   /* Create FIFO */
   const char passfifo[] = "/lib/cryptsetup/passfifo";
-  ret = (int)TEMP_FAILURE_RETRY(mkfifo(passfifo, S_IRUSR | S_IWUSR));
+  ret = TEMP_FAILURE_RETRY(mkfifo(passfifo, S_IRUSR | S_IWUSR));
   if(ret == -1 and errno != EEXIST){
     perror("mkfifo");
     return EXIT_FAILURE;
   }
   
   /* Open FIFO */
-  int fifo_fd = (int)TEMP_FAILURE_RETRY(open(passfifo, O_RDONLY));
+  int fifo_fd = TEMP_FAILURE_RETRY(open(passfifo, O_RDONLY));
   if(fifo_fd == -1){
     perror("open");
     return EXIT_FAILURE;

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2009-01-10 02:21:13 +0000
+++ plugins.d/mandos-client.c	2009-01-04 21:54:55 +0000
@@ -156,7 +156,7 @@
     int fd;
     gpgme_data_t pgp_data;
     
-    fd = (int)TEMP_FAILURE_RETRY(open(filename, O_RDONLY));
+    fd = TEMP_FAILURE_RETRY(open(filename, O_RDONLY));
     if(fd == -1){
       perror("open");
       return false;
@@ -176,7 +176,7 @@
       return false;
     }
     
-    ret = (int)TEMP_FAILURE_RETRY(close(fd));
+    ret = TEMP_FAILURE_RETRY(close(fd));
     if(ret == -1){
       perror("close");
     }
@@ -501,7 +501,6 @@
 				      AvahiIfIndex if_index,
 				      mandos_context *mc){
   int ret, tcp_sd;
-  ssize_t sret;
   union { struct sockaddr in; struct sockaddr_in6 in6; } to;
   char *buffer = NULL;
   char *decrypted_buffer;
@@ -578,7 +577,7 @@
   written = 0;
   while (true){
     size_t out_size = strlen(out);
-    ret = (int)TEMP_FAILURE_RETRY(write(tcp_sd, out + written,
+    ret = TEMP_FAILURE_RETRY(write(tcp_sd, out + written,
 				   out_size - written));
     if (ret == -1){
       perror("write");
@@ -633,13 +632,13 @@
       goto mandos_end;
     }
     
-    sret = gnutls_record_recv(session, buffer+buffer_length,
-			      BUFFER_SIZE);
-    if (sret == 0){
+    ret = gnutls_record_recv(session, buffer+buffer_length,
+			     BUFFER_SIZE);
+    if (ret == 0){
       break;
     }
-    if (sret < 0){
-      switch(sret){
+    if (ret < 0){
+      switch(ret){
       case GNUTLS_E_INTERRUPTED:
       case GNUTLS_E_AGAIN:
 	break;
@@ -662,7 +661,7 @@
 	goto mandos_end;
       }
     } else {
-      buffer_length += (size_t) sret;
+      buffer_length += (size_t) ret;
     }
   }
   
@@ -704,7 +703,7 @@
   
  mandos_end:
   free(buffer);
-  ret = (int)TEMP_FAILURE_RETRY(close(tcp_sd));
+  ret = TEMP_FAILURE_RETRY(close(tcp_sd));
   if(ret == -1){
     perror("close");
   }
@@ -941,7 +940,7 @@
 	  goto end;
 	}
       }
-      ret = (int)TEMP_FAILURE_RETRY(close(sd));
+      ret = TEMP_FAILURE_RETRY(close(sd));
       if(ret == -1){
 	perror("close");
       }

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2009-01-08 03:54:06 +0000
+++ plugins.d/password-prompt.c	2009-01-04 21:54:55 +0000
@@ -79,7 +79,7 @@
 	.doc = "Debug mode", .group = 3 },
       { .name = NULL }
     };
-    
+  
     error_t parse_opt (int key, char *arg, struct argp_state *state) {
       /* Get the INPUT argument from `argp_parse', which we know is a
 	 pointer to our plugin list pointer. */
@@ -100,7 +100,7 @@
       }
       return 0;
     }
-    
+  
     struct argp argp = { .options = options, .parser = parse_opt,
 			 .args_doc = "",
 			 .doc = "Mandos password-prompt -- Read and"
@@ -111,7 +111,7 @@
       return EXIT_FAILURE;
     }
   }
-  
+    
   if (debug){
     fprintf(stderr, "Starting %s\n", argv[0]);
   }
@@ -250,7 +250,7 @@
       fprintf(stderr, "getline() returned 0, retrying.\n");
     }
   }
-  
+
   free(buffer);
   
   if (debug){

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2009-01-10 02:21:13 +0000
+++ plugins.d/usplash.c	2009-01-04 21:54:55 +0000
@@ -92,11 +92,10 @@
   }
   
   size_t written = 0;
-  ssize_t sret = 0;
   while(not interrupted_by_signal and written < cmd_line_len){
-    sret = write(fifo_fd, cmd_line + written,
-		 cmd_line_len - written);
-    if(sret == -1){
+    ret = write(fifo_fd, cmd_line + written,
+		cmd_line_len - written);
+    if(ret == -1){
       if(errno != EINTR or interrupted_by_signal){
 	int e = errno;
 	close(fifo_fd);
@@ -107,7 +106,7 @@
 	continue;
       }
     }
-    written += (size_t)sret;
+    written += (size_t)ret;
   }
   free(cmd_line_alloc);
   do{

